﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_constraint.sql **/
 EXEC P_ALTERPK 'PK_SOEBS_TOBEINTOPOOL', 'T_SOEBS_TOBEINTOPOOL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_TOBEINTOPOOL' AND KSQL_INDNAME = 'IDX_SOEBS_TOBEINTOPOOLRESEID') CREATE INDEX IDX_SOEBS_TOBEINTOPOOLRESEID ON T_SOEBS_TOBEINTOPOOL ( FRESEARCHERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_TOBEINTOPOOL' AND KSQL_INDNAME = 'IDX_SOEBS_TOBEINTOPOOLAPPID') CREATE INDEX IDX_SOEBS_TOBEINTOPOOLAPPID ON T_SOEBS_TOBEINTOPOOL ( FAPPFORMID );


 EXEC P_ALTERPK 'PK_SOEBS_TOBEINTOPOOL_L', 'T_SOEBS_TOBEINTOPOOL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_TOBEINTOPOOL_L' AND KSQL_INDNAME = 'IDX_SOEBS_TOBEINTOPOOL_L') CREATE INDEX IDX_SOEBS_TOBEINTOPOOL_L ON T_SOEBS_TOBEINTOPOOL_L ( FLOCALEID ,FID );


 EXEC P_ALTERPK 'PK_SOEBS_TOBEINTOPOOL_P', 'T_SOEBS_TOBEINTOPOOL_P', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_TOBEINTOPOOL_P' AND KSQL_INDNAME = 'IDX_SOEBS_TOBEINTOPOOL_PID') CREATE INDEX IDX_SOEBS_TOBEINTOPOOL_PID ON T_SOEBS_TOBEINTOPOOL_P ( FMEETTIME );


 EXEC P_ALTERPK 'PK_SOEBS_TOBEINTOPOOL_B', 'T_SOEBS_TOBEINTOPOOL_B', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_TOBEINTOPOOL_B' AND KSQL_INDNAME = 'IDX_SOEBS_TOBEINTOPOOL_BID') CREATE INDEX IDX_SOEBS_TOBEINTOPOOL_BID ON T_SOEBS_TOBEINTOPOOL_B ( FREMEETTIME );


 EXEC P_ALTERPK 'PK_SOEBS_TOBEINTOPOOL_A', 'T_SOEBS_TOBEINTOPOOL_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_TOBEINTOPOOL_A' AND KSQL_INDNAME = 'T_SOEBS_TOBEINTOPOOL_AID') CREATE INDEX T_SOEBS_TOBEINTOPOOL_AID ON T_SOEBS_TOBEINTOPOOL_A ( FAPPDATE );


 EXEC P_ALTERPK 'PK_SOEBS_POTRAININFO', 'T_SOEBS_POTRAININFO', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_POTRAININFO' AND KSQL_INDNAME = 'IDX_SOEBS_POTRAININFO') CREATE INDEX IDX_SOEBS_POTRAININFO ON T_SOEBS_POTRAININFO ( FID );


 EXEC P_ALTERPK 'PK_SOEBS_POTRAININFO_L', 'T_SOEBS_POTRAININFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_POTRAININFO_L' AND KSQL_INDNAME = 'IDX_SOEBS_POTRAININFO_L') CREATE INDEX IDX_SOEBS_POTRAININFO_L ON T_SOEBS_POTRAININFO_L ( FLOCALEID ,FENTRYID );


 EXEC P_ALTERPK 'PK_SOEBS_PORECOMINFO', 'T_SOEBS_PORECOMINFO', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_PORECOMINFO' AND KSQL_INDNAME = 'IDX_SOEBS_PORECOMINFO') CREATE INDEX IDX_SOEBS_PORECOMINFO ON T_SOEBS_PORECOMINFO ( FID );


 EXEC P_ALTERPK 'PK_SOEBS_PORECOMINFO_L', 'T_SOEBS_PORECOMINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_PORECOMINFO_L' AND KSQL_INDNAME = 'IDX_SOEBS_PORECOMINFO_L') CREATE INDEX IDX_SOEBS_PORECOMINFO_L ON T_SOEBS_PORECOMINFO_L ( FLOCALEID ,FENTRYID );


 EXEC P_ALTERPK 'PK_SOEBS_RESEARCHER', 'T_SOEBS_RESEARCHER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RESEARCHER' AND KSQL_INDNAME = 'IDX_SOEBS_RESEARCHER_EMPLOYEE') CREATE INDEX IDX_SOEBS_RESEARCHER_EMPLOYEE ON T_SOEBS_RESEARCHER ( FEMPLOYEEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RESEARCHER' AND KSQL_INDNAME = 'IDX_SOEBS_RESEARCHER_REPORTAID') CREATE INDEX IDX_SOEBS_RESEARCHER_REPORTAID ON T_SOEBS_RESEARCHER ( FREPORTAPPRID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RESEARCHER' AND KSQL_INDNAME = 'IDX_SOEBS_RESEARCHER_REPORTNO') CREATE INDEX IDX_SOEBS_RESEARCHER_REPORTNO ON T_SOEBS_RESEARCHER ( FREPORTAPPRBILLNO );


 EXEC P_ALTERPK 'PK_SOEBS_RESEARCHER_L', 'T_SOEBS_RESEARCHER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RESEARCHER_L' AND KSQL_INDNAME = 'IDX_SOEBS_RESEARCHER_L') CREATE INDEX IDX_SOEBS_RESEARCHER_L ON T_SOEBS_RESEARCHER_L ( FLOCALEID ,FID );


 EXEC P_ALTERPK 'PK_SOEBS_RESEARCHER_E', 'T_SOEBS_RESEARCHER_E', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RESEARCHER_E' AND KSQL_INDNAME = 'IDX_SOEBS_RESEARCHER_EID') CREATE INDEX IDX_SOEBS_RESEARCHER_EID ON T_SOEBS_RESEARCHER_E ( FMEETTIME );


 EXEC P_ALTERPK 'PK_SOEBS_RESEARCHER_S', 'T_SOEBS_RESEARCHER_S', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RESEARCHER_S' AND KSQL_INDNAME = 'IDX_SOEBS_RESEARCHER_S') CREATE INDEX IDX_SOEBS_RESEARCHER_S ON T_SOEBS_RESEARCHER_S ( FREMEETTIME );


 EXEC P_ALTERPK 'PK_SOEBS_RESEARCHER_A', 'T_SOEBS_RESEARCHER_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RESEARCHER_A' AND KSQL_INDNAME = 'IDX_SOEBS_RESEARCHER_AID') CREATE INDEX IDX_SOEBS_RESEARCHER_AID ON T_SOEBS_RESEARCHER_A ( FAPPDATE );


 EXEC P_ALTERPK 'PK_SOEBS_REPORTAPPR', 'T_SOEBS_REPORTAPPR', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_REPORTAPPR' AND KSQL_INDNAME = 'IDX_SOEBS_REPORTAPPRBILLNO') CREATE INDEX IDX_SOEBS_REPORTAPPRBILLNO ON T_SOEBS_REPORTAPPR ( FBILLNO );


 EXEC P_ALTERPK 'PK_SOEBS_REPORTAPPR_L', 'T_SOEBS_REPORTAPPR_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_REPORTAPPR_L' AND KSQL_INDNAME = 'IDX_SOEBS_REPORTAPPR_L') CREATE INDEX IDX_SOEBS_REPORTAPPR_L ON T_SOEBS_REPORTAPPR_L ( FLOCALEID ,FID );


 EXEC P_ALTERPK 'PK_SOEBS_RSERENTITY', 'T_SOEBS_RSERENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RSERENTITY' AND KSQL_INDNAME = 'IDX_SOEBS_RSERENTITY') CREATE INDEX IDX_SOEBS_RSERENTITY ON T_SOEBS_RSERENTITY ( FID );


 EXEC P_ALTERPK 'PK_SOEBS_RESETRAININFO', 'T_SOEBS_RESETRAININFO', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RESETRAININFO' AND KSQL_INDNAME = 'IDX_SOEBS_RESETRAININFO') CREATE INDEX IDX_SOEBS_RESETRAININFO ON T_SOEBS_RESETRAININFO ( FID );


 EXEC P_ALTERPK 'PK_SOEBS_RESERECOMINFO', 'T_SOEBS_RESERECOMINFO', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RESERECOMINFO' AND KSQL_INDNAME = 'IDX_SOEBS_RESERECOMINFO') CREATE INDEX IDX_SOEBS_RESERECOMINFO ON T_SOEBS_RESERECOMINFO ( FID );

/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_constraint.sql **/
