﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_BAKCADREFILE' AND KSQL_COL_NAME ='FEXPSTATUS')
ALTER TABLE T_SOEBS_BAKCADREFILE ADD (FEXPSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_BAKCADREFILE' AND KSQL_COL_NAME ='FEXPDATE')
ALTER TABLE T_SOEBS_BAKCADREFILE ADD (FEXPDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_BAKCADREFILE' AND KSQL_COL_NAME ='FDELAYREASON')
ALTER TABLE T_SOEBS_BAKCADREFILE ADD (FDELAYREASON NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_BAKCADREFILE' AND KSQL_COL_NAME ='FEXPTIPDATE')
ALTER TABLE T_SOEBS_BAKCADREFILE ADD (FEXPTIPDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_BAKCADREFILE_L')
CREATE TABLE T_SOEBS_BAKCADREFILE_L (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                        FDELAYREASON NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_BAKCADRETODOLIST')
CREATE TABLE T_SOEBS_BAKCADRETODOLIST (
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                          FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                          FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                          FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                          FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                          FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                          FORGID BIGINT DEFAULT 0 NOT NULL,
                                          FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
                                          FADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                          FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                          FJOBID BIGINT DEFAULT 0 NOT NULL,
                                          FMANAGEORGID BIGINT DEFAULT 0 NOT NULL,
                                          FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
                                          FPID BIGINT DEFAULT 0 NOT NULL,
                                          FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                          FOPERATESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                          FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
                                          FCMPEMPID BIGINT DEFAULT 0 NOT NULL,
                                          FEVENTSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                          FHANDLERID BIGINT DEFAULT 0 NOT NULL,
                                          FHANDLETIME DATETIME,
                                          FIGNOREREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                          FAPPOINTINFO VARCHAR(10) DEFAULT ' ' NOT NULL,
                                          FQUITTYPEID BIGINT DEFAULT 0 NOT NULL,
                                          FSTDPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                          FAFTERPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                          FAFTERSTDPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                          FAFTERCOMPANYID BIGINT DEFAULT 0 NOT NULL,
                                          FAFTERADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                          FAFTERJOBID BIGINT DEFAULT 0 NOT NULL,
                                          FAFTERDEPEMPID BIGINT DEFAULT 0 NOT NULL,
                                          FAFTERORGID BIGINT DEFAULT 0 NOT NULL,
                                          FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                          FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                          FCREATETIME DATETIME,
                                          FMODIFYTIME DATETIME,
                                          FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                          FINDEX INT DEFAULT 0 NOT NULL,
                                          FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                          FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                          FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_BAKCADRETODOLIST_L')
CREATE TABLE T_SOEBS_BAKCADRETODOLIST_L (
                                            FID BIGINT DEFAULT 0 NOT NULL,
                                            FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                            FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                            FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                            FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                            FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                            FIGNOREREASON NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_BAKCONFIG')
CREATE TABLE T_SOEBS_BAKCONFIG (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                   FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                   FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                   FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                   FCREATETIME DATETIME,
                                   FMODIFYTIME DATETIME,
                                   FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                   FINDEX INT DEFAULT 0 NOT NULL,
                                   FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                   FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                   FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_EXITRULE')
CREATE TABLE T_SOEBS_EXITRULE (
                                  FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                  FSEQ INT DEFAULT 0 NOT NULL,
                                  FGROUPDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                  FGROUPNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                  FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_RULECADSUBENTITY')
CREATE TABLE T_SOEBS_RULECADSUBENTITY (
                                          FDETAILID BIGINT DEFAULT 0 NOT NULL,
                                          FSEQ INT DEFAULT 0 NOT NULL,
                                          FISUNIFYPTIME VARCHAR(10) DEFAULT ' ' NOT NULL,
                                          FTRAINPERIOD INT DEFAULT 0 NOT NULL,
                                          FREMINDERDAYS INT DEFAULT 0 NOT NULL,
                                          FENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_TRAINPERIOD')
CREATE TABLE T_SOEBS_TRAINPERIOD (
                                     FDETAILID BIGINT DEFAULT 0 NOT NULL,
                                     FSEQ INT DEFAULT 0 NOT NULL,
                                     FTRAINOBJECTIVE BIGINT DEFAULT 0 NOT NULL,
                                     FTRAINPERIODENTY INT DEFAULT 0 NOT NULL,
                                     FREMINDERDAYSENTY INT DEFAULT 0 NOT NULL,
                                     FENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_ORGSCOPES')
CREATE TABLE T_SOEBS_ORGSCOPES (
                                   FPKID BIGINT DEFAULT 0 NOT NULL,
                                   FDETAILID BIGINT DEFAULT 0 NOT NULL,
                                   FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_EXITRULE_L')
CREATE TABLE T_SOEBS_EXITRULE_L (
                                    FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                    FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                    FGROUPDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                    FGROUPNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_BAKCONFIG_L')
CREATE TABLE T_SOEBS_BAKCONFIG_L (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                     FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_BAKCADRESNAP')
CREATE TABLE T_SOEBS_BAKCADRESNAP (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FMANAGEORGID BIGINT DEFAULT 0 NOT NULL,
                                      FORGID BIGINT DEFAULT 0 NOT NULL,
                                      FQUITDATE DATETIME,
                                      FCREATESOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FNEWMANAGEORGID BIGINT DEFAULT 0 NOT NULL,
                                      FREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FBAKCADRESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FCREATEDATE DATETIME,
                                      FBAKCADREFILEID BIGINT DEFAULT 0 NOT NULL,
                                      FADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                      FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                      FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
                                      FLATESTVER CHAR(1) DEFAULT '0' NOT NULL,
                                      FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
                                      FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                      FJOBID BIGINT DEFAULT 0 NOT NULL,
                                      FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
                                      FPID BIGINT DEFAULT 0 NOT NULL,
                                      FBSED DATETIME,
                                      FBSLED DATETIME,
                                      FISBAKCADRE CHAR(1) DEFAULT '0' NOT NULL,
                                      FFILESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FVALIDDATE DATETIME,
                                      FINVALIDDATE DATETIME,
                                      FBUSINESSSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FEXPDATE DATETIME,
                                      FEXPSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FEXITTYPE BIGINT DEFAULT 0 NOT NULL,
                                      FAPPSITUATION VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FDELAYREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATETIME DATETIME,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFYTIME DATETIME,
                                      FINITDATASOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FINITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FINITBATCH BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_BAKCADRESNAP_L')
CREATE TABLE T_SOEBS_BAKCADRESNAP_L (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                        FREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                        FDELAYREASON NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_BAKCADRESNAPHIS')
CREATE TABLE T_SOEBS_BAKCADRESNAPHIS (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FFILEFID BIGINT DEFAULT 0 NOT NULL,
                                         FENTITYKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FENTITYFID BIGINT DEFAULT 0 NOT NULL,
                                         FENTITYFBOID BIGINT DEFAULT 0 NOT NULL,
                                         FATTACHMENTIDS VARCHAR(506) DEFAULT ' ' NOT NULL,
                                         FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATETIME DATETIME,
                                         FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                         FMODIFYTIME DATETIME
);



/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_table.sql **/
